package com.steering.mes.mcp.entity;
/**
 * 数据库表COUPLING_OUTSOURC_RESULT所对应的实体类（生成工具：代码生成器3.0）
 * @author lenovo-PC   date 2018-12-25
 */
@SuppressWarnings("serial")
public class CouplingOutsourcResultEntity implements java.io.Serializable {
    /**
     * 委托编号
     */
    private String entrustedNo = "";
    /**
     * 产线代码
     */
    private String plineCode = "";
    /**
     * 工单号
     */
    private String woId = "";
    /**
     * 判定炉号
     */
    private String judgeStoveNo = "";
    /**
     * 批号（炉批号）
     */
    private String batchNo = "";
    /**
     * 委托(支)个数
     */
    private String entrustedNum1 = "";
    /**
     * 委托重量
     */
    private String entrustedWt1 = "";
    /**
     * 委托标志（1、编辑（初始状态） 2、委托申请 3、审批通过 4、审批不通过）
     */
    private String entrustedLog = "";
    /**
     * 粗加工类型（扒皮0、镗孔1)
     */
    private String harshType = "";
    /**
     * 涂层类型(磷化、镀铜)
     */
    private String coatingType = "";
    /**
     * 采集方式(0-接口采集，1-人工录入)
     */
    private String colMode = "";
    /**
     * 采集/录入时间
     */
    private String colTime = "";
    /**
     * 操作人
     */
    private String colUser = "";
    /**
     * 操作班次
     */
    private String colShift = "";
    /**
     * 操作班组
     */
    private String colGroup = "";
    /**
     * 操作时间
     */
    private String createTime = "";
    /**
     * 产线描述
     */
    private String plineName = "";
    /**
     * 委外工序点代码（上料、切管、车丝。。。。）
     */
    private String stationCode = "";
    /**
     * 委外工序点名称
     */
    private String stationDesc = "";

    /**
     * 委托编号
     * @return value
     */
    public String getEntrustedNo() {
        return entrustedNo;
    }

    /**
     * 委托编号
     * @param entrustedNo value
     */
    public void setEntrustedNo(String entrustedNo) {
        this.entrustedNo = entrustedNo;
    }

    /**
     * 产线代码
     * @return value
     */
    public String getPlineCode() {
        return plineCode;
    }

    /**
     * 产线代码
     * @param plineCode value
     */
    public void setPlineCode(String plineCode) {
        this.plineCode = plineCode;
    }

    /**
     * 工单号
     * @return value
     */
    public String getWoId() {
        return woId;
    }

    /**
     * 工单号
     * @param woId value
     */
    public void setWoId(String woId) {
        this.woId = woId;
    }

    /**
     * 判定炉号
     * @return value
     */
    public String getJudgeStoveNo() {
        return judgeStoveNo;
    }

    /**
     * 判定炉号
     * @param judgeStoveNo value
     */
    public void setJudgeStoveNo(String judgeStoveNo) {
        this.judgeStoveNo = judgeStoveNo;
    }

    /**
     * 批号（炉批号）
     * @return value
     */
    public String getBatchNo() {
        return batchNo;
    }

    /**
     * 批号（炉批号）
     * @param batchNo value
     */
    public void setBatchNo(String batchNo) {
        this.batchNo = batchNo;
    }

    /**
     * 委托(支)个数
     * @return value
     */
    public String getEntrustedNum1() {
        return entrustedNum1;
    }

    /**
     * 委托(支)个数
     * @param entrustedNum1 value
     */
    public void setEntrustedNum1(String entrustedNum1) {
        this.entrustedNum1 = entrustedNum1;
    }

    /**
     * 委托重量
     * @return value
     */
    public String getEntrustedWt1() {
        return entrustedWt1;
    }

    /**
     * 委托重量
     * @param entrustedWt1 value
     */
    public void setEntrustedWt1(String entrustedWt1) {
        this.entrustedWt1 = entrustedWt1;
    }

    /**
     * 委托标志（1、编辑（初始状态） 2、委托申请 3、审批通过 4、审批不通过）
     * @return value
     */
    public String getEntrustedLog() {
        return entrustedLog;
    }

    /**
     * 委托标志（1、编辑（初始状态） 2、委托申请 3、审批通过 4、审批不通过）
     * @param entrustedLog value
     */
    public void setEntrustedLog(String entrustedLog) {
        this.entrustedLog = entrustedLog;
    }

    /**
     * 粗加工类型（扒皮0、镗孔1)
     * @return value
     */
    public String getHarshType() {
        return harshType;
    }

    /**
     * 粗加工类型（扒皮0、镗孔1)
     * @param harshType value
     */
    public void setHarshType(String harshType) {
        this.harshType = harshType;
    }

    /**
     * 涂层类型(磷化、镀铜)
     * @return value
     */
    public String getCoatingType() {
        return coatingType;
    }

    /**
     * 涂层类型(磷化、镀铜)
     * @param coatingType value
     */
    public void setCoatingType(String coatingType) {
        this.coatingType = coatingType;
    }

    /**
     * 采集方式(0-接口采集，1-人工录入)
     * @return value
     */
    public String getColMode() {
        return colMode;
    }

    /**
     * 采集方式(0-接口采集，1-人工录入)
     * @param colMode value
     */
    public void setColMode(String colMode) {
        this.colMode = colMode;
    }

    /**
     * 采集/录入时间
     * @return value
     */
    public String getColTime() {
        return colTime;
    }

    /**
     * 采集/录入时间
     * @param colTime value
     */
    public void setColTime(String colTime) {
        this.colTime = colTime;
    }

    /**
     * 操作人
     * @return value
     */
    public String getColUser() {
        return colUser;
    }

    /**
     * 操作人
     * @param colUser value
     */
    public void setColUser(String colUser) {
        this.colUser = colUser;
    }

    /**
     * 操作班次
     * @return value
     */
    public String getColShift() {
        return colShift;
    }

    /**
     * 操作班次
     * @param colShift value
     */
    public void setColShift(String colShift) {
        this.colShift = colShift;
    }

    /**
     * 操作班组
     * @return value
     */
    public String getColGroup() {
        return colGroup;
    }

    /**
     * 操作班组
     * @param colGroup value
     */
    public void setColGroup(String colGroup) {
        this.colGroup = colGroup;
    }

    /**
     * 操作时间
     * @return value
     */
    public String getCreateTime() {
        return createTime;
    }

    /**
     * 操作时间
     * @param createTime value
     */
    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    /**
     * 产线描述
     * @return value
     */
    public String getPlineName() {
        return plineName;
    }

    /**
     * 产线描述
     * @param plineName value
     */
    public void setPlineName(String plineName) {
        this.plineName = plineName;
    }

    /**
     * 委外工序点代码（上料、切管、车丝。。。。）
     * @return value
     */
    public String getStationCode() {
        return stationCode;
    }

    /**
     * 委外工序点代码（上料、切管、车丝。。。。）
     * @param stationCode value
     */
    public void setStationCode(String stationCode) {
        this.stationCode = stationCode;
    }

    /**
     * 委外工序点名称
     * @return value
     */
    public String getStationDesc() {
        return stationDesc;
    }

    /**
     * 委外工序点名称
     * @param stationDesc value
     */
    public void setStationDesc(String stationDesc) {
        this.stationDesc = stationDesc;
    }
    private String memo="";
    /**
     * 委外说明
     */
	public String getMemo() {
		return memo;
	}
	  /**
     * 委外说明
     */
	public void setMemo(String memo) {
		this.memo = memo;
	}
	private String resultNo="";
	private String offXh="";
	 /**
     * 离线实绩
     */
	public String getResultNo() {
		return resultNo;
	}
	 /**
     * 离线实绩
     */
	public void setResultNo(String resultNo) {
		this.resultNo = resultNo;
	}
	 /**
     * 离线实绩序号
     */
	public String getOffXh() {
		return offXh;
	}
	/**
     * 离线实绩序号
     */
	public void setOffXh(String offXh) {
		this.offXh = offXh;
	}
	   /**
     * 委外回报合格支数
     */
    private String subcontractcompleteNum = "";
    /**
     * 委外回报合格重量
     */
    private String subcontractcompleteWt = "";
    /**
     * 委外回报废品支数
     */
    private String hbFpNum = "";
    /**
     * 委外回报废品重量
     */
    private String hbFpWt = "";
    /**
     * 委外回报时间
     */
    private String subcontractcompleteTime = "";
    /**
     * 委外回报人
     */
    private String subcontractcompleteName = "";
    

    /**
     * 委外回报合格支数
     * @return value
     */
    public String getSubcontractcompleteNum() {
        return subcontractcompleteNum;
    }

    /**
     * 委外回报合格支数
     * @param subcontractcompleteNum value
     */
    public void setSubcontractcompleteNum(String subcontractcompleteNum) {
        this.subcontractcompleteNum = subcontractcompleteNum;
    }

    /**
     * 委外回报合格重量
     * @return value
     */
    public String getSubcontractcompleteWt() {
        return subcontractcompleteWt;
    }

    /**
     * 委外回报合格重量
     * @param subcontractcompleteWt value
     */
    public void setSubcontractcompleteWt(String subcontractcompleteWt) {
        this.subcontractcompleteWt = subcontractcompleteWt;
    }

    /**
     * 委外回报废品支数
     * @return value
     */
    public String getHbFpNum() {
        return hbFpNum;
    }

    /**
     * 委外回报废品支数
     * @param hbFpNum value
     */
    public void setHbFpNum(String hbFpNum) {
        this.hbFpNum = hbFpNum;
    }

    /**
     * 委外回报废品重量
     * @return value
     */
    public String getHbFpWt() {
        return hbFpWt;
    }

    /**
     * 委外回报废品重量
     * @param hbFpWt value
     */
    public void setHbFpWt(String hbFpWt) {
        this.hbFpWt = hbFpWt;
    }

    /**
     * 委外回报时间
     * @return value
     */
    public String getSubcontractcompleteTime() {
        return subcontractcompleteTime;
    }

    /**
     * 委外回报时间
     * @param subcontractcompleteTime value
     */
    public void setSubcontractcompleteTime(String subcontractcompleteTime) {
        this.subcontractcompleteTime = subcontractcompleteTime;
    }

    /**
     * 委外回报人
     * @return value
     */
    public String getSubcontractcompleteName() {
        return subcontractcompleteName;
    }

    /**
     * 委外回报人
     * @param subcontractcompleteName value
     */
    public void setSubcontractcompleteName(String subcontractcompleteName) {
        this.subcontractcompleteName = subcontractcompleteName;
    }
    
    /**
     * 委外单位代码
     */
    private String stationUnitCode = "";
    /**
     * 委外单位
     */
    private String stationUnitDesc = "";

    /**
     * 委外单位代码
     * @return value
     */
    public String getStationUnitCode() {
        return stationUnitCode;
    }

    /**
     * 委外单位代码
     * @param stationUnitCode value
     */
    public void setStationUnitCode(String stationUnitCode) {
        this.stationUnitCode = stationUnitCode;
    }

    /**
     * 委外单位
     * @return value
     */
    public String getStationUnitDesc() {
        return stationUnitDesc;
    }

    /**
     * 委外单位
     * @param stationUnitDesc value
     */
    public void setStationUnitDesc(String stationUnitDesc) {
        this.stationUnitDesc = stationUnitDesc;
    }
}
